<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFEvaluationWorkbook (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFEvaluationWorkbook (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":9,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFEvaluationWorkbook.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFDateUtil.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFExtendedColor.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFEvaluationWorkbook.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class HSSFEvaluationWorkbook" class="title">Class HSSFEvaluationWorkbook</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.usermodel.HSSFEvaluationWorkbook</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                           title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a>, <a
                            href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                            title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a>, <a
                            href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html"
                            title="interface in org.apache.poi.ss.formula">FormulaRenderingWorkbook</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public final class <span class="typeNameLabel">HSSFEvaluationWorkbook</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html"
              title="interface in org.apache.poi.ss.formula">FormulaRenderingWorkbook</a>, <a
                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                            title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a>, <a
                            href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                            title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a></pre>
                <div class="block">Internal POI use only</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ss.formula.EvaluationWorkbook">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from interface&nbsp;org.apache.poi.ss.formula.<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalName.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalName</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheet.html"
                                       title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalSheet</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheetRange.html"
                                       title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalSheetRange</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#clearAllCachedResultValues--">clearAllCachedResultValues</a></span>()</code>
                                    <div class="block">Propagated from <a
                                            href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html#clearAllCachedResultValues--"><code>WorkbookEvaluator.clearAllCachedResultValues()</code></a>
                                        to clear locally cached data.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#convertFromExternSheetIndex-int-">convertFromExternSheetIndex</a></span>(int&nbsp;externSheetIndex)</code>
                                    <div class="block">HSSF Only - convert an external sheet index to an internal sheet
                                        index,
                                        for an external-style reference to one of this workbook's own sheets
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFEvaluationWorkbook</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#create-org.apache.poi.hssf.usermodel.HSSFWorkbook-">create</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;book)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFName.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFName</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#createName--">createName</a></span>()</code>
                                    <div class="block">Return the underlying workbook</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#get3DReferencePtg-org.apache.poi.ss.util.AreaReference-org.apache.poi.ss.formula.SheetIdentifier-">get3DReferencePtg</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html"
                                        title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;areaRef,
                                    <a href="../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                       title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheet)</code>
                                    <div class="block">Produce the appropriate Ptg for a 3d area reference</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#get3DReferencePtg-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.formula.SheetIdentifier-">get3DReferencePtg</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;cr,
                                    <a href="../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                       title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheet)</code>
                                    <div class="block">Produce the appropriate Ptg for a 3d cell reference</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalName.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalName</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#getExternalName-int-int-">getExternalName</a></span>(int&nbsp;externSheetIndex,
                                    int&nbsp;externNameIndex)</code>
                                    <div class="block">HSSF Only - fetch the external-style name details</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalName.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalName</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#getExternalName-java.lang.String-java.lang.String-int-">getExternalName</a></span>(java.lang.String&nbsp;nameName,
                                    java.lang.String&nbsp;sheetName,
                                    int&nbsp;externalWorkbookNumber)</code>
                                    <div class="block">XSSF Only - fetch the external-style name details</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheet.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalSheet</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#getExternalSheet-int-">getExternalSheet</a></span>(int&nbsp;externSheetIndex)</code>
                                    <div class="block">HSSF Only - fetch the external-style sheet details</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheet.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalSheet</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#getExternalSheet-java.lang.String-java.lang.String-int-">getExternalSheet</a></span>(java.lang.String&nbsp;firstSheetName,
                                    java.lang.String&nbsp;lastSheetName,
                                    int&nbsp;externalWorkbookNumber)</code>
                                    <div class="block">XSSF Only - fetch the external-style sheet details</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#getExternalSheetIndex-java.lang.String-">getExternalSheetIndex</a></span>(java.lang.String&nbsp;sheetName)</code>
                                    <div class="block">gets the externSheet index for a sheet from this workbook</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#getExternalSheetIndex-java.lang.String-java.lang.String-">getExternalSheetIndex</a></span>(java.lang.String&nbsp;workbookName,
                                    java.lang.String&nbsp;sheetName)</code>
                                    <div class="block">gets the externSheet index for a sheet from an external
                                        workbook
                                    </div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#getFormulaTokens-org.apache.poi.ss.formula.EvaluationCell-">getFormulaTokens</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationCell.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationCell</a>&nbsp;evalCell)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationName.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationName</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#getName-org.apache.poi.ss.formula.ptg.NamePtg-">getName</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/NamePtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">NamePtg</a>&nbsp;namePtg)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationName.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationName</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#getName-java.lang.String-int-">getName</a></span>(java.lang.String&nbsp;name,
                                    int&nbsp;sheetIndex)</code>
                                    <div class="block">Lookup a named range by its name.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#getNameText-org.apache.poi.ss.formula.ptg.NamePtg-">getNameText</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/NamePtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">NamePtg</a>&nbsp;namePtg)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/NameXPtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">NameXPtg</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#getNameXPtg-java.lang.String-org.apache.poi.ss.formula.SheetIdentifier-">getNameXPtg</a></span>(java.lang.String&nbsp;name,
                                    <a href="../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                       title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheet)</code>
                                    <div class="block">Return an external name (named range, function, user-defined
                                        function) Ptg
                                    </div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationSheet.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationSheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#getSheet-int-">getSheet</a></span>(int&nbsp;sheetIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#getSheetFirstNameByExternSheet-int-">getSheetFirstNameByExternSheet</a></span>(int&nbsp;externSheetIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#getSheetIndex-org.apache.poi.ss.formula.EvaluationSheet-">getSheetIndex</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationSheet.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationSheet</a>&nbsp;evalSheet)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#getSheetIndex-java.lang.String-">getSheetIndex</a></span>(java.lang.String&nbsp;sheetName)</code>
                                    <div class="block">Finds a sheet index by case insensitive name.</div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#getSheetLastNameByExternSheet-int-">getSheetLastNameByExternSheet</a></span>(int&nbsp;externSheetIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#getSheetName-int-">getSheetName</a></span>(int&nbsp;sheetIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                        title="enum in org.apache.poi.ss">SpreadsheetVersion</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#getSpreadsheetVersion--">getSpreadsheetVersion</a></span>()</code>
                                    <div class="block">Returns an enum holding spreadhseet properties specific to an
                                        Excel version (
                                        max column and row numbers, max arguments to a function, etc.)
                                    </div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Table.html"
                                        title="interface in org.apache.poi.ss.usermodel">Table</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#getTable-java.lang.String-">getTable</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">XSSF Only - gets a table that exists in the worksheet</div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/udf/UDFFinder.html"
                                        title="interface in org.apache.poi.ss.formula.udf">UDFFinder</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#getUDFFinder--">getUDFFinder</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html#resolveNameXText-org.apache.poi.ss.formula.ptg.NameXPtg-">resolveNameXText</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/NameXPtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">NameXPtg</a>&nbsp;n)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="create-org.apache.poi.hssf.usermodel.HSSFWorkbook-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>create</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFEvaluationWorkbook</a>&nbsp;create(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;book)</pre>
                            </li>
                        </ul>
                        <a name="clearAllCachedResultValues--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clearAllCachedResultValues</h4>
                                <pre>public&nbsp;void&nbsp;clearAllCachedResultValues()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#clearAllCachedResultValues--">EvaluationWorkbook</a></code></span>
                                </div>
                                <div class="block">Propagated from <a
                                        href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html#clearAllCachedResultValues--"><code>WorkbookEvaluator.clearAllCachedResultValues()</code></a>
                                    to clear locally cached data.
                                    Implementations must call the same method on all referenced <a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationSheet.html"
                                            title="interface in org.apache.poi.ss.formula"><code>EvaluationSheet</code></a>
                                    instances, as well as clearing local caches.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#clearAllCachedResultValues--">clearAllCachedResultValues</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html#clearAllCachedResultValues--"><code>WorkbookEvaluator.clearAllCachedResultValues()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createName</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/usermodel/HSSFName.html"
                                                    title="class in org.apache.poi.hssf.usermodel">HSSFName</a>&nbsp;createName()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#createName--">FormulaParsingWorkbook</a></code></span>
                                </div>
                                <div class="block">Return the underlying workbook</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#createName--">createName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getExternalSheetIndex-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExternalSheetIndex</h4>
                                <pre>public&nbsp;int&nbsp;getExternalSheetIndex(java.lang.String&nbsp;sheetName)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getExternalSheetIndex-java.lang.String-">FormulaParsingWorkbook</a></code></span>
                                </div>
                                <div class="block">gets the externSheet index for a sheet from this workbook</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getExternalSheetIndex-java.lang.String-">getExternalSheetIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getExternalSheetIndex-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExternalSheetIndex</h4>
                                <pre>public&nbsp;int&nbsp;getExternalSheetIndex(java.lang.String&nbsp;workbookName,
                                 java.lang.String&nbsp;sheetName)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getExternalSheetIndex-java.lang.String-java.lang.String-">FormulaParsingWorkbook</a></code></span>
                                </div>
                                <div class="block">gets the externSheet index for a sheet from an external workbook
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getExternalSheetIndex-java.lang.String-java.lang.String-">getExternalSheetIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>workbookName</code> - e.g. "Budget.xls"</dd>
                                    <dd><code>sheetName</code> - a name of a sheet in that workbook</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="get3DReferencePtg-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.formula.SheetIdentifier-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>get3DReferencePtg</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                                    title="class in org.apache.poi.ss.formula.ptg">Ptg</a>&nbsp;get3DReferencePtg(<a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;cr,
                             <a href="../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheet)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#get3DReferencePtg-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.formula.SheetIdentifier-">FormulaParsingWorkbook</a></code></span>
                                </div>
                                <div class="block">Produce the appropriate Ptg for a 3d cell reference</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#get3DReferencePtg-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.formula.SheetIdentifier-">get3DReferencePtg</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="get3DReferencePtg-org.apache.poi.ss.util.AreaReference-org.apache.poi.ss.formula.SheetIdentifier-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>get3DReferencePtg</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                                    title="class in org.apache.poi.ss.formula.ptg">Ptg</a>&nbsp;get3DReferencePtg(<a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html"
                                        title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;areaRef,
                             <a href="../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheet)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#get3DReferencePtg-org.apache.poi.ss.util.AreaReference-org.apache.poi.ss.formula.SheetIdentifier-">FormulaParsingWorkbook</a></code></span>
                                </div>
                                <div class="block">Produce the appropriate Ptg for a 3d area reference</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#get3DReferencePtg-org.apache.poi.ss.util.AreaReference-org.apache.poi.ss.formula.SheetIdentifier-">get3DReferencePtg</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNameXPtg-java.lang.String-org.apache.poi.ss.formula.SheetIdentifier-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNameXPtg</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/ptg/NameXPtg.html"
                                                    title="class in org.apache.poi.ss.formula.ptg">NameXPtg</a>&nbsp;getNameXPtg(java.lang.String&nbsp;name,
                            <a href="../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                               title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheet)</pre>
                                <div class="block">Return an external name (named range, function, user-defined
                                    function) Ptg
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getNameXPtg-java.lang.String-org.apache.poi.ss.formula.SheetIdentifier-">getNameXPtg</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getName-java.lang.String-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getName</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/EvaluationName.html"
                                                    title="interface in org.apache.poi.ss.formula">EvaluationName</a>&nbsp;getName(java.lang.String&nbsp;name,
                              int&nbsp;sheetIndex)</pre>
                                <div class="block">Lookup a named range by its name.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getName-java.lang.String-int-">getName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getName-java.lang.String-int-">getName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name to search</dd>
                                    <dd><code>sheetIndex</code> - the 0-based index of the sheet this formula belongs
                                        to.
                                        The sheet index is required to resolve sheet-level names. <code>-1</code> means
                                        workbook-global names
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSheetIndex-org.apache.poi.ss.formula.EvaluationSheet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheetIndex</h4>
                                <pre>public&nbsp;int&nbsp;getSheetIndex(<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationSheet.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationSheet</a>&nbsp;evalSheet)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getSheetIndex-org.apache.poi.ss.formula.EvaluationSheet-">getSheetIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>-1 if the specified sheet is from a different book</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSheetIndex-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheetIndex</h4>
                                <pre>public&nbsp;int&nbsp;getSheetIndex(java.lang.String&nbsp;sheetName)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getSheetIndex-java.lang.String-">EvaluationWorkbook</a></code></span>
                                </div>
                                <div class="block">Finds a sheet index by case insensitive name.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getSheetIndex-java.lang.String-">getSheetIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the index of the sheet matching the specified name. -1 if not found</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSheetName-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheetName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getSheetName(int&nbsp;sheetIndex)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getSheetName-int-">getSheetName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSheet-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheet</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/EvaluationSheet.html"
                                                    title="interface in org.apache.poi.ss.formula">EvaluationSheet</a>&nbsp;getSheet(int&nbsp;sheetIndex)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getSheet-int-">getSheet</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="convertFromExternSheetIndex-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>convertFromExternSheetIndex</h4>
                                <pre>public&nbsp;int&nbsp;convertFromExternSheetIndex(int&nbsp;externSheetIndex)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#convertFromExternSheetIndex-int-">EvaluationWorkbook</a></code></span>
                                </div>
                                <div class="block">HSSF Only - convert an external sheet index to an internal sheet
                                    index,
                                    for an external-style reference to one of this workbook's own sheets
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#convertFromExternSheetIndex-int-">convertFromExternSheetIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getExternalSheet-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExternalSheet</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheet.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalSheet</a>&nbsp;getExternalSheet(int&nbsp;externSheetIndex)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getExternalSheet-int-">EvaluationWorkbook</a></code></span>
                                </div>
                                <div class="block">HSSF Only - fetch the external-style sheet details
                                    <p>Return will have no workbook set if it's actually in our own workbook</p></div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getExternalSheet-int-">getExternalSheet</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html#getExternalSheet-int-">getExternalSheet</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaRenderingWorkbook</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>null</code> if externSheetIndex refers to a sheet inside the current
                                        workbook
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getExternalSheet-java.lang.String-java.lang.String-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExternalSheet</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheet.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalSheet</a>&nbsp;getExternalSheet(java.lang.String&nbsp;firstSheetName,
                                                         java.lang.String&nbsp;lastSheetName,
                                                         int&nbsp;externalWorkbookNumber)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getExternalSheet-java.lang.String-java.lang.String-int-">EvaluationWorkbook</a></code></span>
                                </div>
                                <div class="block">XSSF Only - fetch the external-style sheet details
                                    <p>Return will have no workbook set if it's actually in our own workbook</p></div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getExternalSheet-java.lang.String-java.lang.String-int-">getExternalSheet</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>IllegalStateException:</code> - XSSF-style external references are not
                                        supported for HSSF
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getExternalName-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExternalName</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalName.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalName</a>&nbsp;getExternalName(int&nbsp;externSheetIndex,
                                                       int&nbsp;externNameIndex)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getExternalName-int-int-">EvaluationWorkbook</a></code></span>
                                </div>
                                <div class="block">HSSF Only - fetch the external-style name details</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getExternalName-int-int-">getExternalName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getExternalName-java.lang.String-java.lang.String-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExternalName</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalName.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalName</a>&nbsp;getExternalName(java.lang.String&nbsp;nameName,
                                                       java.lang.String&nbsp;sheetName,
                                                       int&nbsp;externalWorkbookNumber)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getExternalName-java.lang.String-java.lang.String-int-">EvaluationWorkbook</a></code></span>
                                </div>
                                <div class="block">XSSF Only - fetch the external-style name details</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getExternalName-java.lang.String-java.lang.String-int-">getExternalName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>IllegalStateException:</code> - XSSF-style external names are not
                                        supported for HSSF
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="resolveNameXText-org.apache.poi.ss.formula.ptg.NameXPtg-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>resolveNameXText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;resolveNameXText(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/NameXPtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">NameXPtg</a>&nbsp;n)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#resolveNameXText-org.apache.poi.ss.formula.ptg.NameXPtg-">resolveNameXText</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html#resolveNameXText-org.apache.poi.ss.formula.ptg.NameXPtg-">resolveNameXText</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaRenderingWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSheetFirstNameByExternSheet-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheetFirstNameByExternSheet</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getSheetFirstNameByExternSheet(int&nbsp;externSheetIndex)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html#getSheetFirstNameByExternSheet-int-">getSheetFirstNameByExternSheet</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaRenderingWorkbook</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the name of the (first) sheet referred to by the given external sheet index</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSheetLastNameByExternSheet-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheetLastNameByExternSheet</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getSheetLastNameByExternSheet(int&nbsp;externSheetIndex)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html#getSheetLastNameByExternSheet-int-">getSheetLastNameByExternSheet</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaRenderingWorkbook</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the name of the (last) sheet referred to by the given external sheet index</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNameText-org.apache.poi.ss.formula.ptg.NamePtg-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNameText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getNameText(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/NamePtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">NamePtg</a>&nbsp;namePtg)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html#getNameText-org.apache.poi.ss.formula.ptg.NamePtg-">getNameText</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaRenderingWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getName-org.apache.poi.ss.formula.ptg.NamePtg-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getName</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/EvaluationName.html"
                                                    title="interface in org.apache.poi.ss.formula">EvaluationName</a>&nbsp;getName(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/NamePtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">NamePtg</a>&nbsp;namePtg)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getName-org.apache.poi.ss.formula.ptg.NamePtg-">getName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFormulaTokens-org.apache.poi.ss.formula.EvaluationCell-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormulaTokens</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                                    title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;getFormulaTokens(<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationCell.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationCell</a>&nbsp;evalCell)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getFormulaTokens-org.apache.poi.ss.formula.EvaluationCell-">getFormulaTokens</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getUDFFinder--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUDFFinder</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/udf/UDFFinder.html"
                                                    title="interface in org.apache.poi.ss.formula.udf">UDFFinder</a>&nbsp;getUDFFinder()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getUDFFinder--">getUDFFinder</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSpreadsheetVersion--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSpreadsheetVersion</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;getSpreadsheetVersion()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getSpreadsheetVersion--">FormulaParsingWorkbook</a></code></span>
                                </div>
                                <div class="block">Returns an enum holding spreadhseet properties specific to an Excel
                                    version (
                                    max column and row numbers, max arguments to a function, etc.)
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getSpreadsheetVersion--">getSpreadsheetVersion</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getSpreadsheetVersion--">getSpreadsheetVersion</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTable-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getTable</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/Table.html"
                                                    title="interface in org.apache.poi.ss.usermodel">Table</a>&nbsp;getTable(java.lang.String&nbsp;name)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getTable-java.lang.String-">FormulaParsingWorkbook</a></code></span>
                                </div>
                                <div class="block">XSSF Only - gets a table that exists in the worksheet</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getTable-java.lang.String-">getTable</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a></code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>IllegalStateException:</code> - data tables are not supported in Excel
                                        97-2003 format
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFEvaluationWorkbook.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFDateUtil.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFExtendedColor.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFEvaluationWorkbook.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
